diff options
author | Tom Ryder <tom@sanctum.geek.nz> | 2013-08-07 19:02:34 +1200 |
---|---|---|
committer | Tom Ryder <tom@sanctum.geek.nz> | 2013-08-07 19:02:34 +1200 |
commit | ea1c81bbf86b134b075b80fa99d3633e67b556b2 (patch) | |
tree | ffbb0cfa538cab094b0e7b0d9e56c881f53f89c7 | |
parent | Check return value of lockdir creation (diff) | |
download | psshd-ea1c81bbf86b134b075b80fa99d3633e67b556b2.tar.gz psshd-ea1c81bbf86b134b075b80fa99d3633e67b556b2.zip |
Add trailing newlines for printf calls
-rwxr-xr-x | psshd | 12 |
1 files changed, 6 insertions, 6 deletions
@@ -23,10 +23,10 @@ startstopdaemon='/sbin/start-stop-daemon' # Neither of those are likely to be in your PATH if you're a normal user, so we # hardcode the paths and test for their existence if [[ ! -x "$autossh" ]]; then - printf "Can't execute ${autossh}!" >&2 + printf "Can't execute ${autossh}!\n" >&2 exit 1 elif [[ ! -x "$startstopdaemon" ]]; then - printf "Can't execute ${startstopdaemon}!" >&2 + printf "Can't execute ${startstopdaemon}!\n" >&2 exit 1 fi @@ -38,11 +38,11 @@ do port="$OPTARG" ;; \?) - printf "Invalid option $OPTARG" >&2 + printf "Invalid option $OPTARG\n" >&2 exit 1 ;; :) - printf "Option -$OPTARG requires an argument" >&2 + printf "Option -$OPTARG requires an argument\n" >&2 exit 1 ;; esac @@ -52,14 +52,14 @@ shift "$((OPTIND-1))" # If no port, give up with usage instructions if [[ ! -n "$port" ]] then - printf "USAGE: $0 -p <port number> -- <ssh arguments>" + printf "USAGE: $0 -p <port number> -- <ssh arguments>\n" exit 1 fi # Set up a PID dir dir="${TMPDIR:-/tmp}/psshd-${UID}" if ! mkdir -p "$dir"; then - printf "Couldn't create directory ${dir} for PID file" >&2 + printf "Couldn't create directory ${dir} for PID file\n" >&2 exit 1 fi |